// 获取用户详细信息
import request from "@/utils/request";

/*获取基本信息*/
export function getInfo() {
  return request({
    url: "/app/broker/info",
    method: "get",
  });
}

// 经纪人信息修改
export const updateCasBroker = (data) => {
  return request({
    url: "/app/broker/updateCasBroker",
    method: "PUT",
    data,
  });
};

/**
 * 申请入驻
 * @param data
 * @return {*}
 */
export const insertCasBroker = (data) => {
  return request({
    url: "/app/broker/insertCasBroker",
    method: "POST",
    data,
  });
};

/**
 * 个人信息录入
 * @param data
 * @return {*}
 */
export const insertClientUser = (data) => {
  return request({
    url: "/app/broker/insertClientUser",
    method: "POST",
    data,
  });
};
